Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Waveform Struct Reference

Waveform data, including metadata. More...

## Public Attributes
vector< double > | voltage
| Voltage waveform samples, each (1/sampleRate) seconds apart.
vector< double > | current
| Current waveform samples, each (1/sampleRate) seconds apart.
int | sampleRate
| Number of samples per second.

## Detailed Description

Waveform data, including metadata.

Definition at line 12 of file Waveform.idl.

## Member Data Documentation

## ◆ current

vector<double> pdumodel::Waveform::current

Current waveform samples, each (1/sampleRate) seconds apart.

Definition at line 14 of file Waveform.idl.

## ◆ sampleRate

int pdumodel::Waveform::sampleRate

Number of samples per second.

Definition at line 15 of file Waveform.idl.

## ◆ voltage

vector<double> pdumodel::Waveform::voltage

Voltage waveform samples, each (1/sampleRate) seconds apart.

Definition at line 13 of file Waveform.idl.

The documentation for this struct was generated from the following file:

- Waveform.idl